Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_CMS_SIG_PARAMS Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_OBJECT_HANDLE | certificateHandle
CK_UTF8CHAR_PTR | pContentType
CK_MECHANISM_PTR | pDigestMechanism
CK_BYTE_PTR | pRequestedAttributes
CK_BYTE_PTR | pRequiredAttributes
CK_MECHANISM_PTR | pSigningMechanism
CK_ULONG | ulRequestedAttributesLen
CK_ULONG | ulRequiredAttributesLen

## Detailed Description

Definition at line 1679 of file pkcs11t.h.

## Member Data Documentation

CK_OBJECT_HANDLE CK_CMS_SIG_PARAMS::certificateHandle

Definition at line 1680 of file pkcs11t.h.

CK_UTF8CHAR_PTR CK_CMS_SIG_PARAMS::pContentType

Definition at line 1683 of file pkcs11t.h.

CK_MECHANISM_PTR CK_CMS_SIG_PARAMS::pDigestMechanism

Definition at line 1682 of file pkcs11t.h.

CK_BYTE_PTR CK_CMS_SIG_PARAMS::pRequestedAttributes

Definition at line 1684 of file pkcs11t.h.

CK_BYTE_PTR CK_CMS_SIG_PARAMS::pRequiredAttributes

Definition at line 1686 of file pkcs11t.h.

CK_MECHANISM_PTR CK_CMS_SIG_PARAMS::pSigningMechanism

Definition at line 1681 of file pkcs11t.h.

CK_ULONG CK_CMS_SIG_PARAMS::ulRequestedAttributesLen

Definition at line 1685 of file pkcs11t.h.

CK_ULONG CK_CMS_SIG_PARAMS::ulRequiredAttributesLen

Definition at line 1687 of file pkcs11t.h.

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h